org.springframework.batch.integration.chunk

## Class RemoteChunkingManagerStepBuilderFactory

- java.lang.Object
- - org.springframework.batch.integration.chunk.RemoteChunkingManagerStepBuilderFactory

-     public class RemoteChunkingManagerStepBuilderFactory
      extends java.lang.Object

  Convenient factory for a `RemoteChunkingManagerStepBuilder` which sets the `JobRepository` and `PlatformTransactionManager` automatically.
  Since:
    4.2
  Author:
    Mahmoud Ben Hassine

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteChunkingManagerStepBuilderFactory(JobRepository jobRepository, org.springframework.transaction.PlatformTransactionManager transactionManager)` Create a new `RemoteChunkingManagerStepBuilderFactory`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<I,O> RemoteChunkingManagerStepBuilder<I,O>` | `get(java.lang.String name)` Creates a `RemoteChunkingManagerStepBuilder` and initializes its job repository and transaction manager.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteChunkingManagerStepBuilderFactory

          public RemoteChunkingManagerStepBuilderFactory(JobRepository jobRepository,
                                                         org.springframework.transaction.PlatformTransactionManager transactionManager)

      Create a new `RemoteChunkingManagerStepBuilderFactory`.
      Parameters:
        `jobRepository` - the job repository to use
        `transactionManager` - the transaction manager to use

  - ### Method Detail

    - #### get

          public <I,O> RemoteChunkingManagerStepBuilder<I,O> get(java.lang.String name)

      Creates a `RemoteChunkingManagerStepBuilder` and initializes its job repository and transaction manager.
      Type Parameters:
        `I` - type of input items
        `O` - type of output items
      Parameters:
        `name` - the name of the step
      Returns:
        a `RemoteChunkingManagerStepBuilder`